# Interface for submodule: MetaEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: MetaEvent
from ._proxies import MetaEventProxy as _MetaEventProxy
class _MetaEventTemplate(_itkTemplate):
    """Interface for instantiating itk::MetaEvent"""

    def __new__(cls, *args: Any) -> _MetaEventProxy:
        """Instantiate itk::MetaEvent"""
        ...

    def __call__(self, *args: Any) -> _MetaEventProxy:
        """Instantiate itk::MetaEvent"""
        ...

MetaEvent = _MetaEventTemplate

